// =====================================================================
//  $Id: TStreamableObject.cc,v 1.4 2004/03/07 10:30:30 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TStreamableObject.cc,v $
//  Revision 1.4  2004/03/07 10:30:30  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 16:42:19  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:51  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TStreamableObject.hh"

TStreamableObject::TStreamableObject( Tobject_t objecttype, const Tstring& id )
  : theObjectType( objecttype ), theID( id )
{;}

TStreamableObject::TStreamableObject( const TStreamableObject& right )
  : theObjectType( right.theObjectType ), theID( right.theID )
{;}

TStreamableObject::~TStreamableObject()
{;}

const TStreamableObject& TStreamableObject::operator=( const TStreamableObject& right )
{
  theObjectType = right.theObjectType;
  theID = right.theID;
  return *this;
}

Tbool TStreamableObject::operator==( const TStreamableObject& right ) const
{
  if ( theObjectType == right.theObjectType && theID == right.theID ) {
    return Ttrue;
  } else {
    return Tfalse;
  }
}

Tbool TStreamableObject::operator!=( const TStreamableObject& right ) const
{
  if ( theObjectType != right.theObjectType || theID != right.theID ) {
    return Ttrue;
  } else {
    return Tfalse;
  }
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TStreamableObject)
#endif
